diff -ru3 -N ./config.h.win32 /G/src/glib/config.h.win32
--- ./config.h.win32	Thu Jan 01 00:00:00 1970
+++ /G/src/glib/config.h.win32	Wed Nov 04 00:12:42 1998
@@ -0,0 +1,130 @@
+/* config.h.win32. Handcrafted for Microsoft C */
+
+/* Define to empty if the keyword does not work.  */
+/* #undef const */
+
+/* Define if you don't have vprintf but do have _doprnt.  */
+/* #undef HAVE_DOPRNT */
+
+/* Define if you have <unistd.h>.  */
+/* #undef HAVE_UNISTD_H */
+
+/* Define if you have the vprintf function.  */
+#define HAVE_VPRINTF 1
+
+/* Define if you have the ANSI C header files.  */
+#define STDC_HEADERS 1
+
+/* Define if your processor stores words with the most significant
+   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
+/* #undef WORDS_BIGENDIAN */
+
+/* #undef ENABLE_MEM_CHECK */
+/* #undef ENABLE_MEM_PROFILE */
+
+#define G_COMPILED_WITH_DEBUGGING "minimum"
+/* #undef HAVE_BROKEN_WCTYPE */
+/* #undef HAVE_DOPRNT */
+#define HAVE_FLOAT_H 1
+#define HAVE_LIMITS_H 1
+/* #undef HAVE_LONG_DOUBLE */
+/* #undef HAVE_PWD_H */
+/* #undef HAVE_SYS_PARAM_H */
+/* #undef HAVE_SYS_SELECT_H */
+/* #undef HAVE_SYS_TIME_H */
+/* #undef HAVE_SYS_TIMES_H */
+#define HAVE_STRERROR 1
+/* #undef HAVE_STRSIGNAL */
+/* #undef HAVE_UNISTD_H */
+/* #undef HAVE_VSNPRINTF */
+/* #undef HAVE_VALUES_H */
+#define HAVE_VPRINTF 1
+#define HAVE_WCHAR_H 1
+#define HAVE_WCTYPE_H 1
+
+/* #undef NO_FD_SET */
+/* #undef NO_SYS_ERRLIST */
+#define NO_SYS_SIGLIST 1
+
+/* #undef G_VA_COPY */
+/* #undef G_VA_COPY_AS_ARRAY */
+#define G_HAVE___INLINE 1
+
+#define GLIB_MAJOR_VERSION 1
+#define GLIB_MINOR_VERSION 1
+#define GLIB_MICRO_VERSION 4
+#define GLIB_INTERFACE_AGE 0
+#define GLIB_BINARY_AGE 0
+
+/* The number of bytes in a char.  */
+#define SIZEOF_CHAR 1
+
+/* The number of bytes in a int.  */
+#define SIZEOF_INT 4
+
+/* The number of bytes in a long.  */
+#define SIZEOF_LONG 4
+
+/* The number of bytes in a long long.  */
+#define SIZEOF_LONG_LONG 8
+
+/* The number of bytes in a short.  */
+#define SIZEOF_SHORT 2
+
+/* The number of bytes in a void *.  */
+#define SIZEOF_VOID_P 4
+
+/* Define if you have the atexit function.  */
+#define HAVE_ATEXIT 1
+
+/* Define if you have the lstat function.  */
+/* #undef HAVE_LSTAT */
+
+/* Define if you have the memmove function.  */
+#define HAVE_MEMMOVE 1
+
+/* Define if you have the on_exit function.  */
+/* #undef HAVE_ON_EXIT */
+
+/* Define if you have the strcasecmp function.  */
+/* #undef HAVE_STRCASECMP ^*/
+
+/* Define if you have the strerror function.  */
+#define HAVE_STRERROR 1
+
+/* Define if you have the strsignal function.  */
+/* #undef HAVE_STRSIGNAL */
+
+/* Define if you have the vsnprintf function.  */
+/* #undef HAVE_VSNPRINTF */
+
+/* Define if you have the <float.h> header file.  */
+#define HAVE_FLOAT_H 1
+
+/* Define if you have the <limits.h> header file.  */
+#define HAVE_LIMITS_H 1
+
+/* Define if you have the <pwd.h> header file.  */
+/* #undef HAVE_PWD_H */
+
+/* Define if you have the <sys/param.h> header file.  */
+/* #undef HAVE_SYS_PARAM_H */
+
+/* Define if you have the <sys/select.h> header file.  */
+/* #undef HAVE_SYS_SELECT_H */
+
+/* Define if you have the <sys/time.h> header file.  */
+/* #undef HAVE_SYS_TIME_H */
+
+/* Define if you have the <sys/times.h> header file.  */
+/* #undef HAVE_SYS_TIMES_H */
+
+/* Define if you have the <unistd.h> header file.  */
+/* #undef HAVE_UNISTD_H */
+
+/* Define if you have the <values.h> header file.  */
+/* #undef HAVE_VALUES_H */
+
+/* Define if you have the w library (-lw).  */
+/* #undef HAVE_LIBW */
+
diff -ru3 -N ./glib.def /G/src/glib/glib.def
--- ./glib.def	Sun Nov 01 10:04:30 1998
+++ /G/src/glib/glib.def	Tue Nov 03 23:52:58 1998
@@ -3,6 +3,8 @@
 	g_array_free
 	g_array_new
 	g_array_prepend_vals
+	g_array_remove_index
+	g_array_remove_index_fast
 	g_array_set_size
 	g_atexit
 	g_basename
@@ -14,6 +16,8 @@
 	g_byte_array_free
 	g_byte_array_new
 	g_byte_array_prepend
+	g_byte_array_remove_index
+	g_byte_array_remove_index_fast
 	g_byte_array_set_size
 	g_cache_destroy
 	g_cache_insert
@@ -168,7 +172,9 @@
 	g_ptr_array_free
 	g_ptr_array_new
 	g_ptr_array_remove
+	g_ptr_array_remove_fast
 	g_ptr_array_remove_index
+	g_ptr_array_remove_index_fast
 	g_ptr_array_set_size
 	g_quark_from_static_string
 	g_quark_from_string
diff -ru3 -N ./glibconfig.h.win32 /G/src/glib/glibconfig.h.win32
--- ./glibconfig.h.win32	Tue Oct 27 08:07:14 1998
+++ /G/src/glib/glibconfig.h.win32	Wed Nov 04 00:21:14 1998
@@ -1,123 +1,93 @@
-/* glibconfig.h.win32. Handcrafted for Microsoft C  */
+/* glibconfig.h.win32 */
+/* Handcrafted for Microsoft C. */
 
-#if !(defined(_MSC_VER) || defined(__LCC__))
-#error Unrecognized Win32 compiler, edit glibconfig.h by hand
-#endif
-
-/* Define to empty if the keyword does not work.  */
-/* #undef const */
-
-/* Define if you don't have vprintf but do have _doprnt.  */
-/* #undef HAVE_DOPRNT */
-
-/* Define if you have the vprintf function.  */
-#define HAVE_VPRINTF 1
-
-/* Define as __inline if that's what the C compiler calls it.  */
-#if defined (_MSC_VER)
-#define G_HAVE___INLINE
-#endif
-
-/* Define if you have the ANSI C header files.  */
-#define STDC_HEADERS 1
-
-/* Define if your processor stores words with the most significant
-   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
-/* #undef WORDS_BIGENDIAN */
-
-/* #undef ENABLE_MEM_CHECK */
-/* #undef ENABLE_MEM_PROFILE */
-
-/* #undef G_COMPILED_WITH_DEBUGGING */
-/* #undef HAVE_BROKEN_WCTYPE */
-/* #undef HAVE_DOPRNT */
-/* #undef HAVE_LONG_DOUBLE */
-/* #undef HAVE_PWD_H */
-/* #undef HAVE_SYS_PARAM_H */
-/* #undef HAVE_SYS_SELECT_H */
-/* #undef HAVE_SYS_TIME_H */
-/* #undef HAVE_SYS_TIMES_H */
-/* #undef HAVE_UNISTD_H */
-/* #undef HAVE_VSNPRINTF */
-#define HAVE_VPRINTF 1
-#ifdef _MSC_VER
-#define HAVE_WCHAR_H 1
-#define HAVE_WCTYPE_H 1
-#else
-#undef HAVE_WCHAR_H
-#undef HAVE_WCTYPE_H
-#endif
-
-/* #undef NO_FD_SET */
-/* #undef NO_SYS_ERRLIST */
-#define NO_SYS_SIGLIST 1
+#ifndef GLIBCONFIG_H
+#define GLIBCONFIG_H
 
-#define GLIB_MAJOR_VERSION 1
-#define GLIB_MINOR_VERSION 1
-#define GLIB_MICRO_VERSION 4
-#define GLIB_INTERFACE_AGE 0
-#define GLIB_BINARY_AGE 0
-
-/* The number of bytes in a char.  */
-#define SIZEOF_CHAR 1
-
-/* The number of bytes in a int.  */
-#define SIZEOF_INT 4
-
-/* The number of bytes in a long.  */
-#define SIZEOF_LONG 4
-
-/* The number of bytes in a long long.  */
-/* #undef SIZEOF_LONG_LONG */
-
-/* The number of bytes in a short.  */
-#define SIZEOF_SHORT 2
-
-/* The number of bytes in a void *.  */
-#define SIZEOF_VOID_P 4
+#ifdef __cplusplus
+extern "C" {
+#endif /* __cplusplus */
+
+#include <limits.h>
+#include <float.h>
+
+#define G_MINFLOAT FLT_MIN
+#define G_MAXFLOAT FLT_MAX
+#define G_MINDOUBLE DBL_MIN
+#define G_MAXDOUBLE DBL_MAX
+#define G_MINSHORT SHRT_MIN
+#define G_MAXSHORT SHRT_MAX
+#define G_MININT INT_MIN
+#define G_MAXINT INT_MAX
+#define G_MINLONG LONG_MIN
+#define G_MAXLONG LONG_MAX
+
+typedef signed char gint8;
+typedef unsigned char guint8;
+typedef signed short gint16;
+typedef unsigned short guint16;
+typedef signed int gint32;
+typedef unsigned int guint32;
+#define G_HAVE_GINT64 1
+typedef __int64 gint64;
+typedef unsigned __int64 guint64;
+
+#define GPOINTER_TO_INT(p)	((gint)(p))
+#define GPOINTER_TO_UINT(p)	((guint)(p))
 
-/* Define if you have the atexit function.  */
-#define HAVE_ATEXIT 1
+#define GINT_TO_POINTER(i)	((gpointer)(i))
+#define GUINT_TO_POINTER(u)	((gpointer)(u))
 
-/* Define if you have the lstat function.  */
-/* #undef HAVE_LSTAT */
+#define g_ATEXIT(proc)	(atexit (proc))
 
-/* Define if you have the memmove function.  */
-#define HAVE_MEMMOVE 1
+#define g_memmove(d,s,n) G_STMT_START { memmove ((d), (s), (n)); } G_STMT_END
 
-/* Define if you have the on_exit function.  */
-/* #undef HAVE_ON_EXIT */
-
-/* Define if you have the strcasecmp function.  */
-/* #undef HAVE_STRCASECMP */
-
-/* Define if you have the strerror function.  */
-#define HAVE_STRERROR 1
-
-/* Define if you have the strsignal function.  */
-/* #undef HAVE_STRSIGNAL */
+#define GLIB_MAJOR_VERSION 1
+#define GLIB_MINOR_VERSION 1
+#define GLIB_MICRO_VERSION 4
 
-/* Define if you have the vsnprintf function.  */
-/* #undef HAVE_VSNPRINTF */
+#define G_COMPILED_WITH_DEBUGGING "minimum"
 
-/* Define if you have the getpid function.  */
-/* #undef HAVE_GETPID */
+#define G_HAVE___INLINE 1
 
-/* Define if you have the <float.h> header file.  */
-#ifdef _MSC_VER
-#define HAVE_FLOAT_H 1
-#else
-/* #undef HAVE_FLOAT_H */
-#endif
+#define G_BYTE_ORDER G_LITTLE_ENDIAN
 
-/* Define if you have the <limits.h> header file.  */
-#define HAVE_LIMITS_H 1
+#define GINT16_TO_LE(val)	((gint16) (val))
+#define GUINT16_TO_LE(val)	((guint16) (val))
+#define GINT16_TO_BE(val)	((gint16) GUINT16_SWAP_LE_BE (val))
+#define GUINT16_TO_BE(val)	(GUINT16_SWAP_LE_BE (val))
+
+#define GINT32_TO_LE(val)	((gint32) (val))
+#define GUINT32_TO_LE(val)	((guint32) (val))
+#define GINT32_TO_BE(val)	((gint32) GUINT32_SWAP_LE_BE (val))
+#define GUINT32_TO_BE(val)	(GUINT32_SWAP_LE_BE (val))
+
+#define GINT64_TO_LE(val)	((gint64) (val))
+#define GUINT64_TO_LE(val)	((guint64) (val))
+#define GINT64_TO_BE(val)	((gint64) GUINT64_SWAP_LE_BE (val))
+#define GUINT64_TO_BE(val)	(GUINT64_SWAP_LE_BE (val))
+
+#define GLONG_TO_LE(val)	((glong) GINT32_TO_LE (val))
+#define GULONG_TO_LE(val)	((gulong) GUINT32_TO_LE (val))
+#define GLONG_TO_BE(val)	((glong) GINT32_TO_BE (val))
+#define GULONG_TO_BE(val)	((gulong) GUINT32_TO_BE (val))
+
+#define GINT_TO_LE(val)		((gint) GINT32_TO_LE (val))
+#define GUINT_TO_LE(val)	((guint) GUINT32_TO_LE (val))
+#define GINT_TO_BE(val)		((gint) GINT32_TO_BE (val))
+#define GUINT_TO_BE(val)	((guint) GUINT32_TO_BE (val))
 
-/* Define if you have the <values.h> header file.  */
-/* #undef HAVE_VALUES_H */
+#define G_HAVE_WCHAR_H 1
+#define G_HAVE_WCTYPE_H 1
 
 /* Define if this is Win32, possibly using the GNU-Win32 emulation layer. */
 #define WIN32 1
 
 /* Define if this is Win32 without GNU-Win32.  */
 #define NATIVE_WIN32 1
+
+#ifdef __cplusplus
+}
+#endif /* __cplusplus */
+
+#endif /* GLIBCONFIG_H */
diff -ru3 -N ./makefile.msc /G/src/glib/makefile.msc
--- ./makefile.msc	Sun Nov 01 10:04:32 1998
+++ /G/src/glib/makefile.msc	Wed Nov 04 00:31:08 1998
@@ -17,6 +17,7 @@
 
 all : \
 	glibconfig.h	\
+	config.h	\
 	glib-$(GLIB_VER).dll	\
 	gmodule\gmoduleconf.h \
 	gmodule-$(GLIB_VER).dll	\
@@ -26,7 +27,6 @@
 install : all
 	$(INSTALL) glib-$(GLIB_VER).dll $(BIN)
 	$(INSTALL) gmodule-$(GLIB_VER).dll $(BIN)
-	$(TOUCH) install
 
 glib_OBJECTS = \
 	garray.obj	\
@@ -56,8 +56,11 @@
 glibconfig.h: glibconfig.h.win32
 	copy glibconfig.h.win32 glibconfig.h
 
+config.h: config.h.win32
+	copy config.h.win32 config.h
+
 .c.obj :
-	$(CC) $(CFLAGS) -GD -c -DGLIB_COMPILATION -DG_LOG_DOMAIN=g_log_domain_glib $<
+	$(CC) $(CFLAGS) -GD -c -DHAVE_CONFIG_H -DGLIB_COMPILATION -DG_LOG_DOMAIN=g_log_domain_glib $<
 
 gmodule_OBJECTS = \
 	gmodule.obj
@@ -96,6 +99,9 @@
 	$(CC) $(CFLAGS) -Igmodule -c gmodule\libgplugin_b.c
 
 clean:
+	del config.h
+	del glibconfig.h
+	del gmodule\gmoduleconf.h
 	del *.exe
 	del *.obj
 	del *.dll
